<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>net.lecousin.microservices.spring-boot.connectors</groupId>
    <artifactId>lc-micro-services-spring-boot-connector-database-parent-pom</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <artifactId>lc-micro-services-spring-boot-connector-database</artifactId>
  
  <dependencies>
	<dependency>
	  <groupId>net.lecousin.microservices.spring-boot</groupId>
	  <artifactId>lc-micro-services-spring-boot-commons-connector</artifactId>
	  <version>${lc-micro-services-spring-boot-commons.version}</version>
	</dependency>
	
	<dependency>
	  <groupId>org.springframework.data</groupId>
	  <artifactId>spring-data-commons</artifactId>
	</dependency>
  </dependencies>
  
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>test-jar</goal>
            </goals>
            <configuration>
              <includes>net/lecousin/microservices/springboot/connectors/database/tests/**/*.*</includes>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>